﻿using System.ServiceModel;

namespace PeerWcfComm
{
    /// <summary>
    /// WCF service contract for Spectator communication.
    /// In a real-world scenario this would be much more
    /// fully-featured.
    /// </summary>
    [ServiceContract]
    public interface ISpectator
    {
        [OperationContract(IsOneWay = true)]
        void WorkItemStateChanged(WorkItemStatus status);
    }
}
