﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace PeerWcfComm
{
    [ServiceContract]
    public interface IWorkBackup
    {
        [OperationContract(IsOneWay = true)]
        void BackupItem(WorkItemBackupRequest request);

        [OperationContract(IsOneWay = true)]
        void DeleteBackup(Guid workItemId);

        [OperationContract(IsOneWay = true)]
        void RestoringBackup(Guid workerId, Guid workItemId);
    }
}
