﻿using System.Runtime.Serialization;
using System;

namespace PeerWcfComm
{
    /// <summary>
    /// Definition of a unit of work for the system.
    /// For demonstration purposes, "work" is merely
    /// sleeping the amount specified in PretendToWorkSeconds.
    /// </summary>
    [DataContract]
    public class WorkItem
    {
        [DataMember]
        public Guid WorkItemId { get; set; }

        [DataMember]
        public int PretendToWorkSeconds { get; set; }
    }
}
