﻿using System;
using System.ServiceModel;

namespace PeerWcfComm
{
    /// <summary>
    /// WCF service contract for Worker communication.
    /// </summary>
    [ServiceContract]
    public interface IWorker
    {
        [OperationContract(IsOneWay = true)]
        void Heartbeat(WorkerStatus status);

        [OperationContract(IsOneWay = true)]
        void DoWork(Guid workerId, WorkItem work);
    }
}
