﻿using System.Runtime.Serialization;
using System;

namespace PeerWcfComm
{
    /// <summary>
    /// Definition of Worker status information sent during a 
    /// heartbeat communique.
    /// </summary>
    [DataContract]
    public class WorkerStatus
    {
        [DataMember]
        public Guid WorkerId;

        [DataMember]
        public WorkerState State;

        [DataMember]
        public Guid CurrentWorkItem;

        [DataMember]
        public int PendingWorkItemCount;
    }
}
